Bug 1264015 (CVE-2015-7801) - CVE-2015-7801 optipng: Use-after-free vulnerability in 0.6.4
Summary: CVE-2015-7801 optipng: Use-after-free vulnerability in 0.6.4
Status: CLOSED NOTABUG
Alias: CVE-2015-7801
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150916,repor...
Keywords: Security
Depends On: 1264018 1264019 1264020
Blocks: 1264016
TreeView+ depends on / blocked
 
Reported: 2015-09-17 10:26 UTC by Adam Mariš
Modified: 2016-04-21 11:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 14:02:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer provided by Gustavo Grieco (139 bytes, application/octet-stream)
2015-09-19 15:51 UTC, Stefan Cornelius
no flags Details

Description Adam Mariš 2015-09-17 10:26:08 UTC
Use-after-free vulnerability in optipng 0.6.4 causing an invalid/double free was found.

CVE request (containing valgrind report):

http://seclists.org/oss-sec/2015/q3/556

Comment 1 Adam Mariš 2015-09-17 10:30:19 UTC
Created optipng tracking bugs for this issue:

Affects: fedora-all [bug 1264018]
Affects: epel-5 [bug 1264019]
Affects: epel-6 [bug 1264020]

Comment 2 Stefan Cornelius 2015-09-19 15:51:46 UTC
Created attachment 1075212 [details]
Reproducer provided by Gustavo Grieco

Comment 4 Stefan Cornelius 2015-10-07 14:02:38 UTC
This issue did not affect the versions of optipng as shipped with Red Hat Enterprise Linux 7.

Comment 5 Fedora Update System 2016-04-09 13:25:46 UTC
optipng-0.7.5-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.